aboutsummaryrefslogtreecommitdiff
path: root/media
diff options
context:
space:
mode:
Diffstat (limited to 'media')
-rwxr-xr-xmedia/gfx/digikam/digikam.SlackBuild207
-rw-r--r--media/gfx/digikam/slack-required7
-rwxr-xr-xmedia/sound/ardour/ardour.SlackBuild43
-rwxr-xr-xmedia/sound/ardour/ardour.build115
-rw-r--r--media/sound/ardour/slack-required7
-rwxr-xr-xmedia/sound/audacity/audacity.SlackBuild123
-rw-r--r--media/sound/audacity/slack-required1
7 files changed, 503 insertions, 0 deletions
diff --git a/media/gfx/digikam/digikam.SlackBuild b/media/gfx/digikam/digikam.SlackBuild
new file mode 100755
index 00000000..852ac152
--- /dev/null
+++ b/media/gfx/digikam/digikam.SlackBuild
@@ -0,0 +1,207 @@
+#!/bin/bash
+#
+# slackbuild for digikam, by Rudson R. Alves
+# requires: none
+# tested: digikam-0.9.0-beta3
+
+CWD=`pwd`
+
+# ---- Inicializa variáveis com o slackbuild ------------
+if [ -e "/root/.slackbuildrc" ]; then
+ source /root/.slackbuildrc
+elif [ -e "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+# -------- Variáveis de controle de versão --------------
+# Nome da fonte para a qual o slackbuild foi construído e
+# o seu md5sum
+SRC_ORIG="digikam-0.9.0-beta3.tar.bz2"
+MD5_ORIG="4b6ecbe86ba258818b56257dbc851560"
+PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)$/\1/'`
+VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)$/\2/'`
+ REVISION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)$/\3/'`
+ EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)-(.*)\.(.*\..*)$/\4/'`
+
+# ------- Códigos de erro para o createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+# --------- Inicializa variáveis de entrada -------------
+PACKAGE=$PACKAGE_ORIG
+ARCH=${ARCH:=i468}
+SRC_DIR=${SRC:=$CWD}
+if [ "$VERSION" != "" ]; then
+ REVISION=`echo $VERSION | sed -r 's/(.*)-(.*)$/\2/'`
+ VERSION=`echo $VERSION | sed -r 's/(.*)-(.*)$/\1/'`
+else
+ VERSION=$VERSION_ORIG
+fi
+SRC=$PACKAGE-$VERSION-$REVISION.$EXTENSION
+BUILD=${BUILD:=1rud}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/opt/kde}
+OPTCONF=${OPTCONF:=""}
+MD5=${MD5:=$MD5_ORIG}
+URL=${URL:="http://ufpr.dl.sourceforge.net/sourceforge/digikam/$SRC"}
+
+# ---------------- SlackBuild Help ----------------------
+if [ "$1" = "--help" -o "$1" = "help" ]; then
+ echo -e "\033[01;32m
+Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
+where:
+ ARCH=machine arch (i386, i486, i686, ...)
+ VERSION=package version
+ BUILD=package build version (default 1rud)
+ SRC=source name of package
+ SRC_DIR=source directory (default $PWD)
+ TMP=temporary directory (default /tmp)
+ REPOS=repository directory
+ PREFIX=prefix from install package
+ OPTCONF=options to pass from ./configure. To configure
+ help, use OPTCONF=\"--help\"
+ MD5=md5sum from package source
+ URL=url from package source
+\033[m"
+ exit $ERROR_HELP
+fi
+
+# ---------------- Download fontes ----------------------
+# Fonte a ser compilada, com o path
+SOURCE=$SRC_DIR/$PACKAGE/$SRC
+# Verifica existência do pacote em $SRC em $SRC_DIR
+if [ ! -e $SOURCE ]; then
+ echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
+ wget "$URL" -P "$SRC_DIR/$PACKAGE"
+ # Verifica se o
+ if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
+ exit $ERROR_WGET
+ fi
+fi
+
+# ------------------ Checa md5sum -----------------------
+if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
+ SUM=`md5sum $SOURCE | awk '{print $1}'`
+ if [ "$SUM" != "$MD5" ]; then
+ echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
+ echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
+ exit 0
+ fi
+ echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+fi
+
+# ----------------- ARCH e LIBDIR -----------------------
+# Libdir, para arch x86_64
+LIBDIR=$PREFIX/lib
+# Seleciona flags para o compilador
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# -------------- Desempacota fontes ---------------------
+# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
+PKG_SRC=$TMP/$PACKAGE-source
+rm -rf $PKG_SRC 2>/dev/null
+mkdir -p $PKG_SRC
+# Desempacota $SOURCE em $TMP/$PACKAGE-source
+tar xvf $SOURCE -C $PKG_SRC
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
+ exit $ERROR_TAR
+fi
+# Pega o nome do diretório das fontes independente de sua
+# estrutura (package-version...)
+PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
+cd $PKG_DIR
+
+# -------------- Configura programa ---------------------
+# Configura programa
+echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
+CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
+if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
+ echo -e "\n\n\033[01;31m Configure error \n\033[m"
+ exit $ERROR_CONF
+fi
+
+# ---------------- Compila programa ---------------------
+echo -e "\n\n\033[01;32m make -j3 \n\033[m"
+make -j3
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Build error \n\033[m"
+ exit $ERROR_MAKE
+fi
+
+# ------------- Diretório Temporário --------------------
+# Cria diretório temporário para construção do pacote
+PKG=$TMP/$PACKAGE
+rm -rf $PKG
+mkdir -p $PKG
+
+# --------------- Instala programa ----------------------
+# Instala programa em diretório temporário
+echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
+make install DESTDIR=$PKG
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m Install error \n\033[m"
+ exit $ERROR_INSTALL
+fi
+
+# ----------------- Stripa código -----------------------
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# ---------------- Cria slack-desc ----------------------
+mkdir $PKG/install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |------handy-ruler------------------------------------------------------|
+digikam: DIGIKAM package, by Rudson R. Alves <rudsonalves[a]yahoo.com.br>
+digikam:
+digikam: digiKam is an easy to use and powerful digital photo management
+digikam: application, which makes importing, organizing and manipulating
+digikam: digital photos a "snap". An easy to use interface is provided
+digikam: to connect to your digital camera, preview the images and download
+digikam: and/or delete them.
+digikam:
+digikam: Homepage: http://www.digikam.org/
+digikam:
+EOF
+
+# ----------------- Documentações -----------------------
+# Criar diretório de documentação
+PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
+mkdir -p $PKG_DOC
+cp $PKG_DIR/{AUTHORS,COPYING,ChangeLog,HACKING,INSTALL,NEWS,README,RELEASE.rev,TODO} $PKG_DOC
+
+# --------------- Constroi o pacote ---------------------
+echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+if [ $? -ne 0 ]; then
+ exit $ERROR_MKPKG
+fi
+
+# ----------- Remove arquivos temporários ---------------
+if [ "$CLEANUP" = "yes" ]; then
+ echo -e "\n\n\033[01;32m Remove files... \n\033[m"
+ rm -rf $PKG $PKG_SRC
+fi
diff --git a/media/gfx/digikam/slack-required b/media/gfx/digikam/slack-required
new file mode 100644
index 00000000..8aaace3b
--- /dev/null
+++ b/media/gfx/digikam/slack-required
@@ -0,0 +1,7 @@
+sqlite
+exiv2
+libgphoto2
+libkipi
+lcms
+libtiff
+libpng
diff --git a/media/sound/ardour/ardour.SlackBuild b/media/sound/ardour/ardour.SlackBuild
new file mode 100755
index 00000000..9976c3b1
--- /dev/null
+++ b/media/sound/ardour/ardour.SlackBuild
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# SlackBuild script to call ardour.build with correct settings
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ardour are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="ardour"
+VERSION=${VERSION:=0.99.3}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
+
diff --git a/media/sound/ardour/ardour.build b/media/sound/ardour/ardour.build
new file mode 100755
index 00000000..3fce07bc
--- /dev/null
+++ b/media/sound/ardour/ardour.build
@@ -0,0 +1,115 @@
+#!/bin/bash
+#
+# build script for ardour
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ardour"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.99.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ardour.org/files/releases/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+scons PREFIX=/usr KSI=yes || exit $ERROR_MAKE
+scons install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ardour: ardour (Digital Audio Workstation)
+ardour:
+ardour: Ardour is a professional multitrack/multichannel audio recorder and
+ardour: DAW for Linux, using ALSA-supported audio interfaces. It supports
+ardour: up to 32 bit samples, 24+ channels at up to 96kHz, full MMC control,
+ardour: a non-destructive, non-linear editor, and LADSPA plugins.
+ardour:
+ardour:
+ardour:
+ardour:
+ardour:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+cp $CWD/COPYING /usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS AUTHORS.es BUILD CONTRIBUTORS FAQ README TRANSLATORS; do
+ cp $CWD/DOCUMENTATION/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/sound/ardour/slack-required b/media/sound/ardour/slack-required
new file mode 100644
index 00000000..60292595
--- /dev/null
+++ b/media/sound/ardour/slack-required
@@ -0,0 +1,7 @@
+scons
+raptor
+liblrdf
+ladspa
+libsamplerate
+libsndfile
+jack
diff --git a/media/sound/audacity/audacity.SlackBuild b/media/sound/audacity/audacity.SlackBuild
new file mode 100755
index 00000000..51576324
--- /dev/null
+++ b/media/sound/audacity/audacity.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# slackbuild script for audacity
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building Audacity are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="audacity"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.3.0b}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-src-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/audacity/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+
+if [ "$VERSION" == "1.3.0b" ]; then
+ cd $PACKAGE-src-$VERSION-beta
+else
+ cd $PACKAGE-src-$VERSION
+fi
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+audacity: audacity (Audacity is a library to write portable GUI code)
+audacity:
+audacity: Audacity is free, open source software for recording and editing
+audacity: sounds. It is available for Mac OS X, Microsoft Windows, GNU/Linux,
+audacity: and other operating systems.
+audacity:
+audacity:
+audacity:
+audacity:
+audacity: http://audacity.sourceforge.net/
+audacity:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in LICENSE.txt README.txt;do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/sound/audacity/slack-required b/media/sound/audacity/slack-required
new file mode 100644
index 00000000..7d0f54a6
--- /dev/null
+++ b/media/sound/audacity/slack-required
@@ -0,0 +1 @@
+wxWidgets